Bug 214934 - mail/rss2email2: filter out bad tags
Summary: mail/rss2email2: filter out bad tags
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-29 22:28 UTC by Jonathan
Modified: 2018-11-08 13:51 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (srg)


Attachments
svn-diff-rss2mail2 (1.33 KB, patch)
2018-01-14 00:50 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan 2016-11-29 22:28:58 UTC
I ran into an (apparently documented, but very old) bug yesterday. Turns out it's fixed in Debian with a one-line patch, which can be found here:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734327;msg=5

The bug is basically triggered by malformed rss feeds. The fix comes down to filtering out bad tags with a kludge like:

- tagline = ",".join(taglist)
+ tagline = ",".join(filter(None, taglist))
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-01-14 00:50:04 UTC
Created attachment 189695 [details]
svn-diff-rss2mail2
Comment 2 commit-hook freebsd_committer 2018-11-08 11:56:04 UTC
A commit references this bug:

Author: tobik
Date: Thu Nov  8 11:55:58 UTC 2018
New revision: 484444
URL: https://svnweb.freebsd.org/changeset/ports/484444

Log:
  mail/rss2email2: Add workaround for filtering out bad tags

  This can apparently be triggered with malformed RSS feeds.

  Traceback (most recent call last):
    File "/usr/share/rss2email/rss2email.py", line 711, in run
      tagline = ",".join(taglist)
  TypeError: sequence item 1: expected string or Unicode, NoneType found

  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734327

  - Reset maintainer due to the long timeout

  PR:		214934
  Submitted by:	jonathan@invertedearth.net
  Approved by:	srg@guglielmo.us (maintainer timeout, ~2 years)

Changes:
  head/mail/rss2email2/Makefile
  head/mail/rss2email2/files/patch-rss2email.py
Comment 3 commit-hook freebsd_committer 2018-11-08 13:51:46 UTC
A commit references this bug:

Author: tobik
Date: Thu Nov  8 13:51:18 UTC 2018
New revision: 484456
URL: https://svnweb.freebsd.org/changeset/ports/484456

Log:
  MFH: r484444

  mail/rss2email2: Add workaround for filtering out bad tags

  This can apparently be triggered with malformed RSS feeds.

  Traceback (most recent call last):
    File "/usr/share/rss2email/rss2email.py", line 711, in run
      tagline = ",".join(taglist)
  TypeError: sequence item 1: expected string or Unicode, NoneType found

  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734327

  - Reset maintainer due to the long timeout

  PR:		214934
  Submitted by:	jonathan@invertedearth.net
  Approved by:	srg@guglielmo.us (maintainer timeout, ~2 years)

  Approved by:	ports-secteam runtime fix blanket

Changes:
_U  branches/2018Q4/
  branches/2018Q4/mail/rss2email2/Makefile
  branches/2018Q4/mail/rss2email2/files/patch-rss2email.py